SendLit logoSendLit Docs
API ReferenceSettingsEspsEspidTest

Send a test email through a user-managed ESP

Requires a non-empty mailing address in the team's general settings.

POST
/settings/esps/{espId}/test

Requires a non-empty mailing address in the team's general settings.

x-sendlit-apikey<token>

In: header

Path Parameters

espId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.sendlit.dev/settings/esps/string/test" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "success": true,
  "error": "string"
}